Bug 1479764 - VM snapshots list-view highlighting not working
VM snapshots list-view highlighting not working
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
4.2.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.2.0
: ---
Assigned To: Alexander Wels
samuel macko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 07:10 EDT by Lucie Leistnerova
Modified: 2017-10-25 05:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)
broken highlighting (85.79 KB, image/png)
2017-08-10 08:19 EDT, Greg Sheremeta
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80532 master MERGED webadmin: list view select highlight 2017-08-14 13:55 EDT

  None (edit)
Description Lucie Leistnerova 2017-08-09 07:10:45 EDT
Description of problem:
In Snapshots when I click on some snapshot it seems that nothing happens because the background stays grey, only other selected VM goes white. When I move the mouse away the snapshots gets light blue. So when I stay in snapshot box and do some expands of subtabs I still don't know that it is selected. That's a little bit confusing.

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-4.2.0-0.0.master.20170808202742.git7c42951.el7.centos.noarch

How reproducible: always


Steps to Reproduce:
1. go to VM detail -> Snapshots with more than one snapshot
2. move mouse over snapshot other than actually selected (mostly Active VM)
3. click on the snapshot

Actual results: mouse hover changes background to grey and after clicking it stays so


Expected results: selected snapshot has always light blue background
Comment 1 Lucie Leistnerova 2017-08-09 07:38:30 EDT
The same is in subtab Network interfaces.
Comment 2 Greg Sheremeta 2017-08-10 08:19 EDT
Created attachment 1311730 [details]
broken highlighting
Comment 3 samuel macko 2017-09-04 09:40:25 EDT
Verified in ovirt version 4.2.0-0.0.master.20170903205106.gitb17261a.el7.centos.

Verified by following the reproducer.

Note You need to log in before you can comment on or make changes to this bug.